Anonymous Login
2017-11-21 15:00 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001415OpenClonkEngine - GUIpublic2016-08-19 11:43
ReporterClonkonaut 
Assigned ToZapper 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Version7.0 
Target Version7.0Fixed in Version 
Summary0001415: Energy bar disappears on GUI reset
DescriptionSee in the GUI objects' scripts:

\Objects.ocd\HUD.ocd\Controller.ocd\ControllerCrewBar.ocd
The energy bar gets added in Construction, 0000264:

crew_health_bar = AddCrewBar(RGB(160, 0, 0));

Removed in Destruction, 0000303:

crew_bars = [];

The bar actually gets recreated but is not shown. Showing is done in ShowCrewBar (0000843):

crew_bars[bar].shown = GuiUpdate({ Player = GetOwner(), Top = top, Bottom = bottom }, crew_gui_id, crew_bars[bar].ID, this);

GuiUpdate returns true but the actually update isn't pushed. I don't know why. Could be my fault with the script though.
Steps To ReproduceGUI_Controller->Reset()
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004039

Zapper (developer)

Should be fixed. GUI_Controller->Reset() was just broken :)

Reopen if the bug persists!
+Notes

-Issue History
Date Modified Username Field Change
2015-10-04 23:13 Clonkonaut New Issue
2015-10-16 02:32 Sven2 Target Version => 7.0
2015-10-27 18:45 Zapper Note Added: 0004039
2015-10-27 18:45 Zapper Status new => resolved
2015-10-27 18:45 Zapper Resolution open => fixed
2015-10-27 18:45 Zapper Assigned To => Zapper
2016-08-19 11:43 Newton Status resolved => closed
+Issue History